Subject: Re: Suggestion for setup
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Wed, 06 Mar 2002 11:00:55 -0800
Newsgroups: gmane.os.cygwin

Rick Rankin wrote:

> Depends on how you define "harmless". We have a *huge* domain, and "mkpasswd
> -d" can take a very long time (20 - 30 minutes) to complete, so I definitely
> wouldn't want to run blindly run it with the -d option here. If it were
> implemented, it should be an option, at least.
> 
> When I run mkpasswd here, I generally run it twice, once to get local machine
> accounts, and once with the -d *and* -u options to get a specific user's info
> from the domain. It might be useful with those options. Hmm, maybe I'll take a
> look at that. It would require some fields in the GUI though...

That's why I lobbied (briefly) for setup to allow the user to specify 
their own setup script - a script to be run automatically after Cygwin 
setup is done. This way the various administrators could determine and 
code their own local customizations as it were.

Personally my setup script does a number of things like setting up 
inetd, cron, etc. One of it's various tasks is to get better passwd and 
group files. I just symlink them to global passwd and group files. I 
know, symlinking /etc/passwd might be considered highly dangerous in 
regular Unix environments however when you think about it in Cygwin you 
don't even really login(1).

(I also symlink a global /etc/profile that has mods to get the user's 
home directory and shell from the global passwd file and actually use 
them. Oh it also sets up some standard, systemwide (or rather site wide) 
mounts such as /home -> //<fileserver>/<homeshare> and I have another 
script which creates the global passwd file and changes home directories 
from the form of \\<fileserver>\<homeshare>\$USER\$ (don't ask me why 
there's a trailing $ sign at the end of the user names) to /home/$USER).

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/